{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "$insert msg_equates\r\n$insert lsl_users_equ\r\n$insert rds_equ\r\n$insert prod_spec_equ\r\ndeclare function dialog_box, msg, rds_comm, rds_comm2\r\n\r\nif .oi_ex2->text <> '' then\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'This has already been signed.'\r\n   MsgInfo<micon$> = 'H'\r\n   Void = msg( '', MsgInfo )\r\n   return 0\r\nend\r\n\r\nif .oo_ex1->text <> '' else\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'You cannot do a second load if you have not unloaded once.'\r\n   MsgInfo<micon$> = 'H'\r\n   Void = msg( '', MsgInfo )\r\n   return 0\r\nend\r\nValid = rds_comm2( 'LOAD_UNLOAD_EXTRA_SIGN_CHECK' )\r\nif Valid else\r\n   * error will be raised in rds_comm2\r\n   return 0\r\nend\r\nValid = dialog_box( 'QUOTE_SIG_PWD_ENTRY', @window, @user4:@vm:xlate( 'LSL_USERS', @user4, lsl_users_password$, 'X' ) )\r\nif Valid then\r\n   .oi_ex2->text = @user4\r\n   .oi_ex2_name->text = oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n   .oi_ex2_date->text = oconv( date(), 'D2/' )\r\n   .oi_ex2_time->text = oconv( time(), 'MTH' )\r\nend\r\nRETURN 0"
        }
    }
}